API-Schlüssel auflisten
Alle API-Schlüssel eines Kontos abrufen. Gibt nur Metadaten zurück (niemals Klartext-Schlüssel).
Erfordert ein Bearer-JWT von einem Kontomitglied mit der Rolle owner oder admin.
Akzeptiert keine API-Schlüssel-Authentifizierung.
curl -X GET "https://api.talkturo.com/api/api-keys?accountSlug=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (JWT)"
import requests
import json
url = "https://api.talkturo.com/api/api-keys?accountSlug=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.talkturo.com/api/api-keys?accountSlug=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.talkturo.com/api/api-keys?accountSlug=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (JWT)")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/api-keys?accountSlug=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (JWT)'
response = http.request(request)
puts response.body
{
"apiKeys": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "John Doe",
"description": "example_string",
"key_prefix": "example_string",
"permissions": {
"scopes": [
"*"
],
"rate_limit_per_hour": 1000
},
"last_used_at": "2024-12-25T10:00:00Z",
"expires_at": "2024-12-25T10:00:00Z",
"is_active": true,
"created_at": "2024-12-25T10:00:00Z",
"created_by": "123e4567-e89b-12d3-a456-426614174000"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
/api-keys
Target server for requests. Edit to use your own host.
Supabase-Access-Token-JWT für Desktop-Clients und Kontoverwaltungsrouten
wie die API-Schlüssel-Verwaltung (owner / admin für API-Schlüssel erforderlich).
Senden als Authorization: Bearer eyJ....
owner / admin für API-Schlüssel erforderlich).
Senden als Authorization: Bearer eyJ....
Account-Slug, dem die aufzulistenden API-Schlüssel gehören
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token (JWT). Supabase-Access-Token-JWT für Desktop-Clients und Kontoverwaltungsrouten
wie die API-Schlüssel-Verwaltung (owner / admin für API-Schlüssel erforderlich).
Senden als Authorization: Bearer eyJ....
Query Parameters
Account-Slug, dem die aufzulistenden API-Schlüssel gehören